QuotaExceededException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: QuotaExceededException

Package org.apache.hadoop.hdfs.protocol

# Class QuotaExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.fs.ClusterStorageCapacityExceededException
org.apache.hadoop.hdfs.protocol.QuotaExceededException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DSQuotaExceededException`, `FSLimitException`, `NSQuotaExceededException`, `QuotaByStorageTypeExceededException`

@Public @Evolving public class QuotaExceededException extends ClusterStorageCapacityExceededException
This exception is thrown when modification to HDFS results in violation of a directory quota. A directory quota might be namespace quota (limit on number of files and directories) or a diskspace quota (limit on space taken by all the file under the directory tree).
The message for the exception specifies the directory where the quota was violated and actual quotas. Specific message is generated in the corresponding Exception class: DSQuotaExceededException or NSQuotaExceededException

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `count`
  `protected String`
  `pathName`
  `protected long`
  `quota`
  `protected static final long`
  `serialVersionUID`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `QuotaExceededException()`
  `protected`
  `QuotaExceededException(long quota, long count)`
  `protected`
  `QuotaExceededException(String msg)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `void`
  `setPathName(String path)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### serialVersionUID

    protected static final long serialVersionUID
    See Also:
      - Constant Field Values

  - ### pathName

    protected String pathName

  - ### quota

    protected long quota

  - ### count

    protected long count

- ## Constructor Details

  - ### QuotaExceededException

    protected QuotaExceededException()

  - ### QuotaExceededException

    protected QuotaExceededException(String msg)

  - ### QuotaExceededException

    protected QuotaExceededException(long quota, long count)

- ## Method Details

  - ### setPathName

    public void setPathName(String path)

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`